%define major    0
%define libname  %mklibname %name %major
%define libdevel %mklibname %name -d

Name:           rhash
Version:        1.4.3
Release:        %mkrel 1
Summary:        Great utility for computing hash sums

Group:          System/Libraries
License:        MIT
URL:            https://github.com/rhash/RHash
Source0:        https://github.com/rhash/RHash/archive/v%{version}/%{name}-%{version}.tar.gz


%description
RHash is a console utility for calculation  and verification of magnet links
and a wide range of hash sums like  CRC32,  MD4, MD5,  SHA1, SHA256, SHA512,
SHA3,   AICH,  ED2K,  Tiger,  DC++ TTH,  BitTorrent BTIH,   GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.

Hash sums are used to  ensure and verify integrity  of large volumes of data
for a long-term storing or transferring.

Features:
 * Output in a predefined (SFV, BSD-like) or a user-defined format.
 * Can calculate Magnet links.
 * Updating hash files (adding hash sums of files missing in the hash file).
 * Calculates several hash sums in one pass
 * Ability to process directories recursively.
 * Portability: the program works the same on Linux, *BSD or Windows.



%package        -n %libname
Summary:        Libraries from %name
Group:          System/Libraries

%description -n %libname

LibRHash is a professional,  portable,  thread-safe  C library for computing
a wide variety of hash sums, such as  CRC32, MD4, MD5, SHA1, SHA256, SHA512,
SHA3,   AICH,  ED2K,  Tiger,  DC++ TTH,  BitTorrent BTIH,   GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.
Hash sums are used  to ensure and verify integrity of  large volumes of data
for a long-term storing or transferring.

Features:
 * Small and easy to learn interface.
 * Hi-level and Low-level API.
 * Allows calculating of several hash functions simultaneously.
 * Portability: the library works on Linux, *BSD and Windows.


%package        -n %libdevel
Summary:        Development files for lib%{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %libdevel
LibRHash is a professional,  portable,  thread-safe  C library for computing
a wide variety of hash sums, such as  CRC32, MD4, MD5, SHA1, SHA256, SHA512,
SHA3,   AICH,  ED2K,  Tiger,  DC++ TTH,  BitTorrent BTIH,   GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.
Hash sums are used  to ensure and verify integrity of  large volumes of data
for a long-term storing or transferring.

Features:
 * Small and easy to learn interface.
 * Hi-level and Low-level API.
 * Allows calculating of several hash functions simultaneously.
 * Portability: the library works on Linux, *BSD and Windows.

The %libdevel package contains libraries and header files for
developing applications that use lib%{name}.


%prep
%setup -q -n RHash-%{version}
%autopatch -p1


%build
./configure \
        --prefix=%{_prefix} \
        --sysconfdir=%{_sysconfdir} \
        --libdir=%{_libdir} \
        --enable-lib-shared \
        --extra-cflags="%{optflags}" \
        --extra-ldflags="%{ldflags}"
%make_build


%install
%make_install install-lib-shared install-lib-so-link install-pkg-config install-lib-headers

%check
make test-shared


%files
%license COPYING
%doc ChangeLog README.md
%config(noreplace) %{_sysconfdir}/rhashrc
%{_bindir}/*
%{_mandir}/man1/*.1*

%files -n %libname
%{_libdir}/librhash.so.%{major}

%files -n %libdevel
%license COPYING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/librhash.pc


%changelog
* Mon Dec 12 2022 daviddavid <daviddavid> 1.4.3-1.mga9
+ Revision: 1921192
- new version: 1.4.3

* Tue Mar 15 2022 umeabot <umeabot> 1.4.0-2.mga9
+ Revision: 1792907
- Mageia 9 Mass Rebuild

* Wed Sep 02 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1620897
- new version: 1.4.0

* Thu Feb 20 2020 umeabot <umeabot> 1.3.9-2.mga8
+ Revision: 1546026
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.3.9-1.mga8
+ Revision: 1485715
- new version: 1.3.9

* Mon Jul 08 2019 daviddavid <daviddavid> 1.3.8-1.mga8
+ Revision: 1419442
- new version: 1.3.8

* Sun Sep 23 2018 umeabot <umeabot> 1.3.6-2.mga7
+ Revision: 1300827
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 daviddavid <daviddavid> 1.3.6-1.mga7
+ Revision: 1220489
- new version: 1.3.6

* Mon Jul 17 2017 neoclust <neoclust> 1.3.4-4.mga7
+ Revision: 1124452
- Fix provides in the devel package

* Mon Jul 17 2017 neoclust <neoclust> 1.3.4-3.mga7
+ Revision: 1124398
- Rebuild with correct groups
- imported package rhash


* Mon Mar 20 2017 Orion Poplawski <orion@cora.nwra.com> - 1.3.4-2
- Add %%check section

* Thu Mar 9 2017 Orion Poplawski <orion@cora.nwra.com> - 1.3.4-1
- Initial Fedora package
